Subject: [Fwd: Re: [Policy] Approved: draft-ietf-policy-core-schema-16.txt]

From: "Larry S. Bartz" <[email-masked]>
Date: Mon, 21 Apr 2003 10:04:11 -0500

My original post of this message is hung up, awaiting approval by
the list moderator. I had included a large attachment which exceeds
the size limit imposed by the list config. In the meantime...

-------- Original Message --------
Subject: Re: [Policy] Approved: draft-ietf-policy-core-schema-16.txt
Date: Mon, 21 Apr 2003 09:38:43 -0500
From: Larry S. Bartz <[email-masked]>
Organization: Internal Revenue Service
To: Wijnen, Bert (Bert) <[email-masked]>, [email-masked],   Joel M. Halpern <[email-masked]>,   Ed Ellesson <[email-masked]>, [email-masked]
References: <[email-masked]> <[email-masked]>

Larry S. Bartz wrote, On 04/10/03 07:26:
> It has been more than five months since we were advised that the
> PCLS was approved by the IESG. Why hasn't the RFC been published?
> 

PROBLEM:

When I looked at the RFC Editor's queue a few weeks ago, I didn't
see a definition of the "REF" status which had been assigned to
draft-ietf-policy-core-schema-16.txt. Now the reason for the lack
of further action on PCLS is clear. PCLS is stuck. It is waiting
for an event which will apparently never happen. Without some
overt remedial action, PCLS cannot become an RFC.

The draft-ietf-policy-core-schema-16.txt cites another draft,
draft-zeilenga-ldap-user-schema-06.txt, as a normative reference.
The RFC Editor's assignment of the "REF" status to PCLS acknowledges
this dependency, as "holding for normative reference".

The problem lies in the fact that draft-zeilenga-ldap-user-schema-
06.txt expired in November 2002. It has not been superseded by an
"07" version. This leaves PCLS dependent upon a document which is
obviously not a work in progress. PCLS cannot move forward under
this condition.

REMEDY:

This situation can be remedied by a minor edit of the PCLS draft.
Simply removing the reference to the expired draft will free PCLS
of its dependency. This should allow PCLS to proceed to the
intermediate step of OID assignment by IANA, then on to publication
as an RFC.

On close inspection of draft-ietf-policy-core-schema-16.txt, it
appears that the dependency on the now-expired draft-zeilenga-ldap-
user-schema-06.txt is not necessary. PCLS cites the expired draft
as one of three normative references for the definitions of matching
rules. The other mormative references cited by PCLS for matching
rules include RFC3377 (which, in turn, defers to RFC2252), and
X.520. Together, RFC3377 (and its normative references) and X.520
define all of the matching rules which are employed by PCLS.

Relieving  draft-ietf-policy-core-schema-16.txt of its unecessary
dependency upon draft-zeilenga-ldap-user-schema-06.txt requires
the following edits:

###### under "5. Class Definitions", page 18, third paragraph:

#### FROM THIS:

Note 4: in the following definitions, note that all LDAP matching rules
are defined in [3] and in [9]. The corresponding X.500 matching rules
are defined in [8].

#### TO THIS:

Note 4: in the following definitions, note that all matching rules
are defined in [3] and in [8].

###### under "11. Normative References", page 52

#### elide this:

[9] K. Zeilenga, ed., "LDAPv3: A Collection of User Schema",
       <draft-zeilenga-ldap-user-schema-06.txt>, May 2002.

###### under "12. Informative References", page 53

#### renumber references 10 through 16 as 9 through 15
#### repair citations of these references throughout document
   as necessary to accomodate renumbering

I have attached an edited version of draft-ietf-policy-core-schema-
16.txt to this messge. This document differs from the original only
in the changes I described above. I have named it draft-ietf-policy-
core-schema-16a.txt

HOW-TO?

Can the RFC Editor effect these changes to the current WG-approved and
IESG-approved draft and send it on its way? Or must the draft come back
to the WG for edit? If so, must it then go all the way back through WG
Last Call and IESG review and approval?

-- 
--
#::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::|
# Larry Bartz                           |                              |
#  [email-masked]      | Ooo, ooo,                    |
#                                       | Ooo, ooo, oooooo!            |
#                                       | I've got a gnu attitude!     |
#  voice (317) 226-7060                 |                              |
#  FAX   (317) 226-6378                 |                              |
#::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::|

>
> 
> 
> Wijnen, Bert (Bert) wrote, On 11/14/02 08:25:
> 
>> It is impossible to say when the RFC will be published. You can
>> track the progress at:
>>   http://www.rfc-editor.org/queue.html
>>
>> Experience tells us that it takes from one to a couple of months.
>>
>> Hope this helps
>> Bert
>>
>>> -----Original Message-----
>>> From: Larry S. Bartz [mailto:[email-masked]]
>>> Sent: donderdag 14 november 2002 13:15
>>> To: Wijnen, Bert (Bert)
>>> Cc: [email-masked]
>>> Subject: Re: [Policy] Approved: draft-ietf-policy-core-schema-16.txt
>>>
>>>
>>> Wijnen, Bert (Bert) wrote, On 10/31/2002 12:52 PM:
>>>
>>>> The IESG just approved this document.
>>>> Formal announcement to be posted by IESG secretary
>>>> in a few days.
>>>
>>>
>>> My ecstasy over this event has cooled somewhat. But I am
>>> fully prepared to be thrilled again. When will the RFC
>>> be published?
>>>
>>>
> 
> _______________________________________________
> Policy mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/policy

_______________________________________________
Policy mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/policy